Bug 35824 - Update libcloud: Incorrect instance state handling in libcloud openstack driver
Update libcloud: Incorrect instance state handling in libcloud openstack driver
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Erik Damrose
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-04 13:56 CEST by Erik Damrose
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2014-09-04 13:56:09 CEST
Libcloud's openstack driver incorrectly maps a 'suspended' instance state to 'terminated', and does not map the state 'shutoff' at all, thus returning the status 'unknown'.

This has been fixed upstream a few days ago in commit 520703820c3fe7204ffefe75d2eca4c37998c1d2
Comment 1 Erik Damrose univentionstaff 2014-09-24 09:45:16 CEST
When updating libcloud, we should recheck / patch the available sizes for EC2
Comment 2 Erik Damrose univentionstaff 2014-10-15 14:01:09 CEST
Imported a current libcloud dev snapshot

r13849 20_libcloud-dev-snapshot_20141015.patch

m3 instances had wrong disk sizes:
r13850 30_fix-instance-disk-sizes.patch

I saw a massive performance boot with the new version - the time to update all necessary data for a EC2 connection is halved, from ~25 to ~13 seconds

libcloud 0.15.1-1.4.201410151350
Comment 3 Stefan Gohmann univentionstaff 2014-11-01 14:17:36 CET
OK it works.

I've added a new bug that we wait for the instance switch: Bug #36380.
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:38 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".